package com.example.mathseduc

import android.content.Intent
import android.os.Bundle
import android.widget.Button
import android.widget.Toast
import androidx.appcompat.app.AppCompatActivity

class MainActivity : AppCompatActivity() {
    companion object {
        var idPlayerConnected: Int = -1
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        var btnSolo = findViewById<Button>(R.id.btnSolo)
        var btnMulti = findViewById<Button>(R.id.btnMulti)
        var btnConnexion = findViewById<Button>(R.id.btnConnexion)

        btnSolo.setOnClickListener {
            // Traitement pour le bouton Solo
            // Vous pouvez ajouter le code correspondant ici
        }

        btnMulti.setOnClickListener {
            if (MainActivity.idPlayerConnected != -1){
                val intent = Intent(this, MultiActivity::class.java)
                startActivity(intent)
            }
            else {
                Toast.makeText(this, "Vous n'êtes pas connecté", Toast.LENGTH_SHORT).show()
            }
        }

        btnConnexion.setOnClickListener {
            val intent = Intent(this, ConnexionPlayerActivity::class.java)
            startActivity(intent)
        }
    }
}